Name:           libloader
Version:        1.1.6
Release:        %mkrel 16
Summary:        Resource Loading Framework
License:        LGPLv2+
Group:          Development/Java
Source0:        https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
URL:            https://reporting.pentaho.org/
Patch0:         libloader-1.1.2-fix-build.patch
Patch1:         libloader-1.1.2.java11.patch
Patch2:         libloader-1.1.6-remove-antcontrib-support.patch
Patch3:         libloader-1.1.3-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase >= 1.1.3
Requires:       java
Requires:       jpackage-utils
Requires:       libbase >= 1.1.3
BuildArch:      noarch

%description
LibLoader is a general purpose resource loading framework. It has been
designed to allow to load resources from any physical location and to
allow the processing of that content data in a generic way, totally
transparent to the user of that library.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p0 -b .build
%patch1 -p1 -b .java11
%patch2 -p1
%patch3 -p1 -b .no_commons_logging

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue May 21 2024 daviddavid <daviddavid> 1.1.6-16.mga10
+ Revision: 2065731
- fix build with java 21

* Wed Sep 21 2022 neoclust <neoclust> 1.1.6-15.mga9
+ Revision: 1891153
- Fix build with jdk 17

* Mon May 02 2022 neoclust <neoclust> 1.1.6-14.mga9
+ Revision: 1855528
- Remove use of commons-logging

* Sun Mar 27 2022 umeabot <umeabot> 1.1.6-13.mga9
+ Revision: 1828998
- Mageia 9 Mass Rebuild

* Wed Jan 19 2022 neoclust <neoclust> 1.1.6-12.mga9
+ Revision: 1769144
- Use parts of fedora patch to remove antcontrib support

* Thu Jan 14 2021 neoclust <neoclust> 1.1.6-12.mga8
+ Revision: 1671804
- Remove ant-contrib support

* Tue Sep 08 2020 daviddavid <daviddavid> 1.1.6-11.mga8
+ Revision: 1623473
- allow rebuild with java 11
- Rebuilt for JDK-11
- disable failing javadoc parts
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.1.6-10.mga8
+ Revision: 1491339
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.6-9.mga7
+ Revision: 1263297
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.1.6-8.mga6
+ Revision: 931114
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-7.mga5
+ Revision: 749656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-6.mga5
+ Revision: 681578
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-5.mga4
+ Revision: 530966
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.1.6-4.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 357681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-2.mga3
+ Revision: 305447
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198955
- new version 1.1.6
- drop gcj support
- rediff and rename patch to fix-build.patch
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-2.mga1
+ Revision: 74331
- Really build without gcj

* Mon Jan 24 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 35928
- Adapt for mageia
- imported package libloader


* Thu Dec 02 2009 Caolan McNamara <caolanm@redhat.com> 1.1.3
- latest version

* Tue Nov 17 2009 Caolan McNamara <caolanm@redhat.com> 1.1.2
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-2.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-1.OOo31
- Post release tuned for OpenOffice.org reportbuilder

* Mon Mar 09 2009 Caolan McNamara <caolanm@redhat.com> 0.4.0-1
- latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.3.7-1
- initial fedora import
